Debian Bug report logs - #492033
octave-graceplot: fails using pcolor with Octave 3

version graph

Package: octave-graceplot; Maintainer for octave-graceplot is (unknown);

Reported by: Francesco Potorti` <Potorti@isti.cnr.it>

Date: Wed, 23 Jul 2008 11:00:06 UTC

Severity: normal

Found in version octave-graceplot/1.0.5-1

Fixed in version octave-graceplot/1.0.5-2

Done: Rafael Laboissiere <rafael@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Potorti` <pot@potorti.it>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#492033; Package octave-graceplot. Full text and rfc822 format available.

Acknowledgement sent to Francesco Potorti` <Potorti@isti.cnr.it>:
New Bug report received and forwarded. Copy sent to Francesco Potorti` <pot@potorti.it>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Potorti` <Potorti@isti.cnr.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: octave-graceplot: fails using pcolor with Octave 3
Date: Wed, 23 Jul 2008 12:54:31 +0200
Package: octave-graceplot
Version: 1.0.5-1
Severity: normal

octave> pcolor([1 2],[3 4],[5,6;7,8]); ## everything well till now
octave> close
octave> toggle_grace_use 
Use Grace: on
octave> plot([1 2],[3 4]);             ## everything well till now
octave> close                          ## I also close the Grace window manually
octave> pcolor([1 2],[3 4],[5,6;7,8]); ## I get a Grace window with an empty plot
error: get: invalid handle (= 1)
error: evaluating assignment expression near line 43, column 7
error: evaluating if command near line 42, column 3
error: called from `gca' in file `/usr/share/octave/3.0.1/m/plot/gca.m'
error: evaluating argument list element number 1
error: evaluating assignment expression near line 33, column 22
error: evaluating if command near line 32, column 5
error: evaluating if command near line 31, column 3
error: called from `__next_line_color__' in file `/usr/share/octave/3.0.1/m/plot/__next_line_color__.m'
error: evaluating if command near line 27, column 3
error: called from `newplot' in file `/usr/share/octave/3.0.1/m/plot/newplot.m'
error: called from `pcolor' in file `/usr/share/octave/3.0.1/m/plot/pcolor.m'
octave> close
octave> 

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-proposed-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=it_IT@euro (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages octave-graceplot depends on:
ii  grace                  1:5.1.21-2+b1     An XY plotting tool
ii  libatlas3gf-base [libl 3.6.0-21.5        Automatically Tuned Linear Algebra
ii  libblas3gf [libblas.so 1.2-1.6           Basic Linear Algebra Subroutines 3
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libfftw3-3             3.1.2-3.1         library for computing Fast Fourier
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libgfortran3           4.3.1-2           Runtime library for GNU Fortran ap
ii  libhdf5-serial-1.6.6-0 1.6.6-4           Hierarchical Data Format 5 (HDF5) 
ii  liblapack3gf [liblapac 3.1.1-0.5         library of linear algebra routines
ii  libncurses5            5.6+20080308-1    Shared libraries for terminal hand
ii  libreadline5           5.2-3             GNU readline and history libraries
ii  libstdc++6             4.3.1-2           The GNU Standard C++ Library v3
ii  octave-io              1.0.6-1           input/output data functions for Oc
ii  octave3.0              1:3.0.1-4         GNU Octave language for numerical 
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

octave-graceplot recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#492033; Package octave-graceplot. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 492033@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Francesco Potorti` <Potorti@isti.cnr.it>, 492033@bugs.debian.org
Subject: Re: [Pkg-octave-devel] Bug#492033: octave-graceplot: fails using pcolor with Octave 3
Date: Thu, 24 Jul 2008 23:05:47 +0200
* Francesco Potorti` <Potorti@isti.cnr.it> [2008-07-23 12:54]:

> Package: octave-graceplot
> Version: 1.0.5-1
> Severity: normal
> 
> octave> pcolor([1 2],[3 4],[5,6;7,8]); ## everything well till now
> octave> close
> octave> toggle_grace_use 
> Use Grace: on
> octave> plot([1 2],[3 4]);             ## everything well till now
> octave> close                          ## I also close the Grace window manually
> octave> pcolor([1 2],[3 4],[5,6;7,8]); ## I get a Grace window with an empty plot
> error: get: invalid handle (= 1)
> error: evaluating assignment expression near line 43, column 7
> error: evaluating if command near line 42, column 3
> error: called from `gca' in file `/usr/share/octave/3.0.1/m/plot/gca.m'
> error: evaluating argument list element number 1
> error: evaluating assignment expression near line 33, column 22
> error: evaluating if command near line 32, column 5
> error: evaluating if command near line 31, column 3
> error: called from `__next_line_color__' in file `/usr/share/octave/3.0.1/m/plot/__next_line_color__.m'
> error: evaluating if command near line 27, column 3
> error: called from `newplot' in file `/usr/share/octave/3.0.1/m/plot/newplot.m'
> error: called from `pcolor' in file `/usr/share/octave/3.0.1/m/plot/pcolor.m'
> octave> close
> octave> 

You are out of hope here, because pcolor is not implemented in
octave-graceplot.  BTW, many other functions are also unimplemented, like
pie, mesh, and quiver (for a full listing, compare teh directories
/var/chroots/sid/usr/share/octave/3.0.1/m/plot/ and 
/usr/share/octave/packages/graceplot-1.0.5/alternatives/).

Perhaps, the upstream author should include dummy functions in the
alternatives/ directory for all those functions in m/plot/ which are lacking
in the package. I will see if I can find a workaround for this problem.

-- 
Rafael




Tags added: pending Request was from Rafael Laboissiere <rafael@alioth.debian.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 22:45:05 GMT) Full text and rfc822 format available.

Reply sent to Rafael Laboissiere <rafael@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Francesco Potorti` <Potorti@isti.cnr.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 492033-close@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: 492033-close@bugs.debian.org
Subject: Bug#492033: fixed in octave-graceplot 1.0.5-2
Date: Sat, 26 Jul 2008 09:02:30 +0000
Source: octave-graceplot
Source-Version: 1.0.5-2

We believe that the bug you reported is fixed in the latest version of
octave-graceplot, which is due to be installed in the Debian FTP archive:

octave-graceplot_1.0.5-2.diff.gz
  to pool/main/o/octave-graceplot/octave-graceplot_1.0.5-2.diff.gz
octave-graceplot_1.0.5-2.dsc
  to pool/main/o/octave-graceplot/octave-graceplot_1.0.5-2.dsc
octave-graceplot_1.0.5-2_amd64.deb
  to pool/main/o/octave-graceplot/octave-graceplot_1.0.5-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492033@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rafael Laboissiere <rafael@debian.org> (supplier of updated octave-graceplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jul 2008 23:53:42 +0200
Source: octave-graceplot
Binary: octave-graceplot
Architecture: source amd64
Version: 1.0.5-2
Distribution: unstable
Urgency: low
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Changed-By: Rafael Laboissiere <rafael@debian.org>
Description: 
 octave-graceplot - Plotting function of GNU Octave with Grace
Closes: 492033
Changes: 
 octave-graceplot (1.0.5-2) unstable; urgency=low
 .
   * Add dummy definitions for each function present in the gnuplot
     interface that is not provided by graceplot.  These functions will
     issue an error message when called and invite the user to switch back
     to gnuplot.  This kinda closes: #492033.
 .
   * debian/clean: Added file for cleaning bogus *.oct file left in inst
     directory
   * debian/compat, debian/control: Bump build-dependency on debhelper to
     >= 7, otherwise dh_clean would not use debian/clean
Checksums-Sha1: 
 41dbb38ed423e69892f618206675d689180564b9 1466 octave-graceplot_1.0.5-2.dsc
 93cb146bb06f5314d4672f8ae9736c1f27d19b47 2946 octave-graceplot_1.0.5-2.diff.gz
 c9218b22ece5abf34b8a0ec000fd8f970cb32a95 80012 octave-graceplot_1.0.5-2_amd64.deb
Checksums-Sha256: 
 2f66c4c5b9db236985da251900cb943ce105e5641bde79cadfd4daa69af04d0f 1466 octave-graceplot_1.0.5-2.dsc
 0cb9693c99f070943c9617f198dad340d819e622a4f63fe6d4afe8b2f2cc8917 2946 octave-graceplot_1.0.5-2.diff.gz
 3b9a4cd98315e74ecafe4f0b18ae88e1974100afe9ba3a81a167622e85ae91e0 80012 octave-graceplot_1.0.5-2_amd64.deb
Files: 
 87660b43da5b283bd15264853940860e 1466 math optional octave-graceplot_1.0.5-2.dsc
 9462acbd00a521bda2bb591f87cc5981 2946 math optional octave-graceplot_1.0.5-2.diff.gz
 d5db51c2a17c3cb8f18891f0e82c1cb5 80012 math optional octave-graceplot_1.0.5-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFIitlZk3oga0pdcv4RAkzzAKCD/+KzposTZaTgLxpz3nIHo7WAswCeJgkf
ogPLKcfyoi+8kA0o8WYDpIg=
=LX9a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Sep 2008 07:27:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:33:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.